/* ================================================ */
/* CSS for control sap.ui.commons/TextField.control */
/* ================================================ */

@sapUiTextFieldHeight: 16px;

.sapUiTf{
	box-sizing: border-box;
	vertical-align: top;
	font-family: @sapUiFontFamily;
	font-size: @sapUiFontSize;
	-webkit-appearance: none; /*Needed for safari mobile*/
}

.sapUiTf::-ms-clear{
	width : 0;
	height: 0;
	display:none;
}

.sapUiTf:not(.sapUiTfInner){
	width: 22ex;
}

/* Inner (ComboBox) */
.sapUiTfInner.sapUiTf{
	height: 100%;
	background: transparent;
	color: inherit; /* not automatic inherited from outer DIV */
	outline: none; /* disable safari outline */
}

html[data-sap-ui-os^='mac'] .sapUiTfDsbl .sapUiTfInner.sapUiTf{
	color: darken(@sapUiContentDisabledTextColor, 25); /* color for disabled inputs is lighter by browser */
}

.sapUiTfBrd{
	border: 1px solid @sapUiFieldBorderColor;
	-webkit-border-radius: 0px; /*Needed for safari mobile*/
}

.sapUiTf:not(.sapUiTfBrd){
	border: none;
}

.sapUiTfMono{
	font-family: @sapUiFontMonospaceFamily;
}

.sapUiTfStd{
	background-color: @sapUiFieldBackground;
	color: @sapUiBaseText;
}

.sapUiTfRo{
	background-color: @sapUiFieldReadOnlyBackground;
	color: @sapUiBaseText;
}

.sapUiTfRo > .sapUiTfInner{
	cursor: default; /* in ComboBox Cursor is overwitten */
}

.sapUiTfFoc{
	background-color: @sapUiFieldBackground;
	outline: none; /* hide e.g. chrome focus outline */
}

.sapUiTfBrd.sapUiTfFoc{
	border-color: @sapUiFieldFocusBorderColor;
}

.sapUiTfBrd.sapUiTfErr{
	border-color: @sapUiFieldInvalidColor;
}

.sapUiTfBrd.sapUiTfWarn {
	border-color: @sapUiFieldWarningColor;
}

.sapUiTfBrd.sapUiTfSucc {
	border-color: @sapUiFieldSuccessColor;
}

.sapUiTfErr.sapUiTfStd{
	background-color: @sapUiFieldInvalidBackground;
}

.sapUiTfWarn.sapUiTfStd{
	background-color: @sapUiFieldWarningBackground;
}

.sapUiTfSucc.sapUiTfStd{
	background-color: @sapUiFieldSuccessBackground;
}

.sapUiTfDsbl{
	background-color: @sapUiFieldReadOnlyBackground;
	color: @sapUiContentDisabledTextColor;
	/* Avoid text selection in disabled TextFields */
	-moz-user-select: none;
	-webkit-user-select: none;
	user-select: none;
}

.sapUiTfBrd.sapUiTfDsbl{
	border-color: @sapUiFieldDisabledBorderColor;
}

/* need to be separate statements for each browser, otherwise it will not work */
.sapUiTfPlace{
	color: @sapUiExtraLightText;
}
.sapUiTf::-webkit-input-placeholder{
	color: @sapUiExtraLightText;
}
.sapUiTf::-moz-placeholder{
	color: @sapUiExtraLightText;
}
.sapUiTf:-ms-input-placeholder{
	color: @sapUiExtraLightText;
}
